Page MenuHomePhabricator

Have a Private Sandbox for drafts
Closed, ResolvedPublic

Description

I've talked to several women that mentioned that when they are making a draft in their own user sandbox, other users (men) has interfered and "helped" them. They didn't like that other people had access to their work before the first version was ready to be published.

Stewards could have access to the private sandboxes, but no other users but yourself, even administrators.

A version that you could give other trusted users access could be a feature.

I talked to Quim Gil today and he said that this requirement should be registered and looked at.

This could help on topics like Gender Gap and harassments.

Hogne

Event Timeline

Hogne created this task.Apr 1 2017, 3:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2017, 3:31 PM
Reedy removed Qgil as the assignee of this task.Apr 1 2017, 3:36 PM
Reedy added a project: MediaWiki-General.
Reedy added a subscriber: Qgil.

Related: T39992: Review and deploy Drafts extension to Wikimedia wikis.

I've talked to several women that mentioned that when they are making a draft in their own user sandbox, other users (men) has interfered and "helped" them.

We typically want to encourage free and open editing. That's a pretty core concept of wiki culture. Lots of users, myself included, would think it's pretty neat if someone else was eagerly interested in helping out with a new article, a stub, or even a draft.

Zppix added a subscriber: Zppix.Apr 2 2017, 2:40 AM

This goes against WMFs mission in my opinion

Qgil added a comment.EditedApr 2 2017, 9:27 PM

I think this a discussion related to diversity among new contributors.

Lots of users, myself included, would think it's pretty neat if someone else was eagerly interested in helping out with a new article, a stub, or even a draft.

Yet there is evidence that other users don't feel comfortable with that. Many women complain about men "correcting" them when they haven't even finished talking, and being "corrected" by an unknown person while drafting your first article in your own user space follows a similar pattern.

Beyond gender dynamics, it is very normal in many creative activities that authors start working privately until they feel comfortable about start showing a first version of their work. For instance, developers (including Wikimedia developers) start working on their computers in a local environment and they decide when they upload their first patch or prototype, no matter how open, free and collaborative the resulting work is.

For wiki editors it would be hard to get a wiki running locally in their computers just to start writing their article in a wiki page. As a result, they will start either using a text processor locally or something like Google Docs. After speaking with several organizers of workshops for newcomers, it seems that starting to write articles not on a wiki is not an uncommon practice.

On the other hand, it is good that new Wikimedia users understand the culture of openness and collaborative writing, and having pages permanently private can be problematic for many other reasons. One option to consider could be to allow the creation of new private pages that would become public either manually by the author or automatically after, say, one month.

Bawolff added a subscriber: Bawolff.Apr 2 2017, 9:42 PM

This is requesting a technical solution for what is a social problem. A template saying «This is a work in progress. I do not want anyone else to edit this page, no matter how wrong it may be» could be enough to solve it.

Still, I think there may be some wrong expectations here regarding the Wiki Way™ that could cause issues later (like considering that they own an article). We generally prefer an incomplete version than nothing at all, there's no pressure for having to present a perfect article (release early, release often). Even more so with it being on development on a user subpage.

  • What if the "helpful" edit was made by a bot? Would that be acceptable?
  • If a file used in the page was renamed, is it appropriate to change the reference? Would deleting a file and not fixing it be considered an interference? (it is changing the content!)
  • For how long should that request be respected? Eg. is it still "bad" to fix a page that has been unedited for 6 months ?

PS: Were this offended people making lots of small edits or were they using the preview feature?

I think this a discussion related to diversity among new contributors.

Lots of users, myself included, would think it's pretty neat if someone else was eagerly interested in helping out with a new article, a stub, or even a draft.

Yet there is evidence that other users don't feel comfortable with that. Many women complain about men "correcting" them when they haven't even finished talking, and being "corrected" by an unknown person while drafting your first article in your own user space follows a similar pattern.

"Unknown person" is suspicious phrasing. Try colleague instead.

Beyond gender dynamics, it is very normal in many creative activities that authors start working privately until they feel comfortable about start showing a first version of their work. For instance, developers (including Wikimedia developers) start working on their computers in a local environment and they decide when they upload their first patch or prototype, no matter how open, free and collaborative the resulting work is.

Sure, this is not a new topic. As mentioned already, you're essentially discussing a drafts concept. If you want the generic functionality for MediaWiki wikis, it already exists in an extension: https://www.mediawiki.org/wiki/Extension:Drafts. If you want the functionality on Wikimedia wikis, there's T39992. If this task is about something else, please expand the task description to elaborate. Otherwise, this task looks already resolved as fixed or as a duplicate.

This is requesting a technical solution for what is a social problem. A template saying «This is a work in progress. I do not want anyone else to edit this page, no matter how wrong it may be» could be enough to solve it.
Still, I think there may be some wrong expectations here regarding the Wiki Way™ that could cause issues later (like considering that they own an article). We generally prefer an incomplete version than nothing at all, there's no pressure for having to present a perfect article (release early, release often). Even more so with it being on development on a user subpage.

On the edit screen in MediaWiki core, the user interface states pretty bluntly: "If you do not want your writing to be edited mercilessly and redistributed at will, then do not submit it here."

I mostly agree with what you're saying about the wiki way. I think we need to examine why people are avoiding creating a stub article, e.g., people tagging the article for deletion too quickly.

Aklapper renamed this task from Private Sandbox to Have a Private Sandbox for drafts.Apr 3 2017, 11:58 AM

I also think this is against the core principles and should be declined.

Zppix added a comment.Apr 3 2017, 1:42 PM

The mission of the Wikimedia Foundation is to empower and engage people around the world to collect and develop educational content under a free license or in the public domain, and to disseminate it effectively and globally.

What about this task is at all engaging people around the world to develop content and disseminating it for collaboration, infact, most of enwiki's oldest articles for example, were all in a "draft" stage and I can almost guarantee most articles that are on english wikipedia for example WOULD NOT be in the state they are now with having private sandboxes. I really think this needs off phab consensus before bringing it here, and even then I think we as developers and volunteers should have a consensus around this topic before even thinking about implementing it. This is quite the big change, I personally believe this has more cons rather than pros in the long run.

Hogne added a comment.Apr 3 2017, 2:58 PM

Sure, this is not a new topic. As mentioned already, you're essentially discussing a drafts concept. If you want the generic functionality for MediaWiki wikis, it already exists in an extension: https://www.mediawiki.org/wiki/Extension:Drafts. If you want the functionality on Wikimedia wikis, there's T39992. If this task is about something else, please expand the task description to elaborate. Otherwise, this task looks already resolved as fixed or as a duplicate.

I do agree that https://www.mediawiki.org/wiki/Extension:Drafts solves this issue, Though, I think we need one button to do all this: https://www.mediawiki.org/wiki/Extension:Drafts#Installation. The Draft Expiration could be set to 40 days.

Hogne

If this would result in more contributors who are confident in their editing abilities and competent with the wiki's policies, guidelines, and tools then I 100% believe this is aligned with the WMF's mission.

I also agree that this could likely be solved mostly via templates and wiki policies. https://en.wikipedia.org/wiki/Wikipedia:User_pages#Editing_of_other_editors.27_user_and_user_talk_pages exists but is vague and lightweight.

I think this is a political question that should be decided by the communities. It is a cultural change, and I do not believe it is the foundation's place to dictate culture to the community.

Just to be clear, @Hogne shared this idea in a casual conversation at the Wikimedia Conference and I recommended him to file the feature request. My comment above was inspired by several conversations equally casual at the same event with organizers of workshops for new editors, including workshops specifically for women. Several people mentioned the problems and their ways to solve it. These workshop facilitators are not necessarily involved deeply in the administration of wikis or the discussion of templates. They are "just" people spending a lot of time with newcomers.

Opinions are mine. As far as I am aware, the Wikimedia Foundation has no stake at all in this conversation.

To clarify, instead of foundation I should have wrote technical community/phabricator/etc. This would be a not insignificant social change, but a relatively minor technical change (whether via drafts or some on wiki gadget, etc). I dont think this is a the right place to discuss it. It should probably be an rfc on enwiki or something (im assuming we are talking about english here)

As an aside, I suspect the phrasing of the rationale - using the possesive pronoun "their" in the sentence "They didn't like that other people had access to their work" is probably significantly more controversial than the actual feature request itself.

Hogne added a comment.Apr 7 2017, 7:33 AM

... I dont think this is a the right place to discuss it. It should probably be an rfc on enwiki or something (im assuming we are talking about english here)
...
As an aside, I suspect the phrasing of the rationale - using the possesive pronoun "their" in the sentence "They didn't like that other people had access to their work" is probably significantly more controversial than the actual feature request itself.
...

I'm on the Norwegian Wikipedias and this question was first raised there. I've talked to Wikipedians from other Scandinavian Wikipedias and English Wikipedia that also liked this idea.

When already existing functionality ( https://www.mediawiki.org/wiki/Extension:Drafts ) solves this issue, isn't the politics also handled already?

Then the technical question is: Is it possible to create a button for doing this:

{{TNT|ExtensionInstall

db-update=Yes

}}
As in https://www.mediawiki.org/wiki/Extension:Drafts#Installation

jeblad added a subscriber: jeblad.Apr 7 2017, 9:39 AM

Note that combining anonymous editing with a private sandbox might create a sort of public page if you are behind a proxy, which in Norway basically means all schools in a municipality or even a county.

Hogne added a comment.Apr 7 2017, 9:44 AM

Note that combining anonymous editing with a private sandbox might create a sort of public page if you are behind a proxy, which in Norway basically means all schools in a municipality or even a county.

Maybe this option should only be available for registered users.

jhsoby added a subscriber: jhsoby.Apr 7 2017, 9:53 PM

... I dont think this is a the right place to discuss it. It should probably be an rfc on enwiki or something (im assuming we are talking about english here)
...
As an aside, I suspect the phrasing of the rationale - using the possesive pronoun "their" in the sentence "They didn't like that other people had access to their work" is probably significantly more controversial than the actual feature request itself.
...

I'm on the Norwegian Wikipedias and this question was first raised there. I've talked to Wikipedians from other Scandinavian Wikipedias and English Wikipedia that also liked this idea.
When already existing functionality ( https://www.mediawiki.org/wiki/Extension:Drafts ) solves this issue, isn't the politics also handled already?
Then the technical question is: Is it possible to create a button for doing this:
{{TNT|ExtensionInstall

db-update=Yes

}}
As in https://www.mediawiki.org/wiki/Extension:Drafts#Installation

If you have consensus on some wiki, then this is a different matter. Just file a bug linking to the on wiki agreement to install the extension. Extension would have to go through security review (at worst that could take a couple weeks). If it passes security review, enabling it will be no big deal.

Then... it looks like this discussion has run its course? T161952#3172091 offers clear steps to whoever wants to have this option enabled in a Wikimedia wiki.

jrbs added a subscriber: jrbs.Apr 28 2017, 11:49 PM
TBolliger closed this task as Resolved.Mar 9 2018, 1:57 PM
TBolliger claimed this task.

Then... it looks like this discussion has run its course? T161952#3172091 offers clear steps to whoever wants to have this option enabled in a Wikimedia wiki.